% $Id: mixerPerf.tex,v 1.1 2001/04/02 20:37:00 Philip.Charlton Exp $

%% PERFORMANCE STATISTICS

%% Start of test MIXERPERF01
\pagebreak
\renewcommand{\arraystretch}{1.5}       
\noindent
\begin{tabular}{@{}p{10em}@{}p{24em}@{}}
{\bf Test Case:}        & MIXERPERF01 \\
{\bf Purpose: }         & Generate performance statistics for {\tt mixer} 
                          action \\  
{\bf Tester: }          & \rule{15em}{.1pt} \\
{\bf Test machine: }    & \rule{15em}{.1pt} \\
{\bf Date (mm/dd/yy): } & \rule{2em}{.1pt}/\rule{2em}{.1pt}/\rule{2em}{.1pt}
\hspace{2em} {\bf Time: } \rule{6em}{.1pt}\\
\end{tabular}
\renewcommand{\arraystretch}{1} 
\vspace{1em}

\noindent   
{\bf NOTE:} 
This test should be performed for real float (R4), real double (R8), 
complex float (C8), and complex double (C16) data types.
\vspace{1em}
            
\noindent   
{\bf ENVIRONMENT AND PREREQUISITES}
\vspace{1em} 
             
\noindent    
The following input data sets are required for this test:
\begin{enumerate}
\item N8388608XX.sim
\end{enumerate} 
where XX is either R4, R8, C8, or C16.
\vspace{1em} 
             
\noindent    
{\bf PROCEDURE}
\begin{enumerate}
             
\item Indicate which data type is currently being tested.\\
\hspace*{\fill} {\bf R4/ R8/ C8/ C16}
             
\item ($N=2^{10}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-1024.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 1024 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,1024,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{10}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{11}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-2048.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 2048 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,2048,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{11}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{12}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-4096.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 4096 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,4096,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{12}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{13}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-8192.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 8192 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,8192,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{13}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{14}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-16384.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 16384 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,16384,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{14}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{15}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-32768.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 32768 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,32768,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{15}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{16}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-65536.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 65536 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,65536,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{16}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{17}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-131072.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 131072 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,131072,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{17}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{18}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-262144.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 262144 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,262144,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{18}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{19}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-524288.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 524288 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,524288,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{19}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{20}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-1048576.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 1048576 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,1048576,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{20}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{21}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-2097152.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 2097152 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,2097152,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{21}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{22}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-4194304.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 4194304 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,4194304,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{22}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item ($N=2^{23}$) Issue the ldas command
\begin{verbatim}
ldasJob { -name user -password ***** -email user@host }
  { conditionData 
    -inputprotocol file:/mdc/input/N8388608XX.sim
    -inputformat ilwd 
    -returnprotocol file:/mdc/output/MIXERPERF01XX-8388608.ilwd
    -returnformat ilwd 
    -resultname {time} 
    -resultcomment {time for mixing size 8388608 sequence} 
    -aliases { xraw = chan_01:data } 
    -algorithms { 
      f = value(0.12345);
      phi = value(0.0);
      x = slice(xraw,0,8388608,1);
      t00 = user_time();
      intermediate(,,t00,start utime);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x); y = mix(phi,f,x);
      t32 = user_time();
      intermediate(,,t32,end utime);
      t32 = sub(t32,t00);     
      intermediate(,,t32,raw difference);
      time = div(t32,32);
   }         
}
\end{verbatim}
\hspace*{\fill} {\bf Pass / Fail}

\item Record the mean time required to mix a data sequence of length 
$2^{23}$.\\
\hspace*{\fill} {\bf Pass / Fail}

\item Create, using the data recorded here and any convenient plotting
program ({\em e.g.,} excel), a figure showing the mean time to mix a 
data sequence vs.\ its length.\\ 
\hspace*{\fill} {\bf Pass / Fail}

\end{enumerate}

\noindent
{\bf SUMMARY}
\vspace{1em}
             
\noindent    
{\bf Known faults encountered -- list bug IDs: }\hrulefill\\
\vspace{1em} 
\hrule       
\vspace{1em} 
\noindent    
{\bf New faults submitted -- list bug IDs: }\hrulefill \\
\vspace{1em} 
\hrule       
\vspace{2em} 
             
\noindent
{\bf TEST RESULT } \hfill {\bf Pass / Fail }\\
%% End of test MIXERPERF01

